Show / Hide Table of Contents

# Struct Cabinet

A struct representing the UIState Cabinet (otherwise known as the "Armoire" in-game) and the bitfield for stores items.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Cabinet

### Fields

| Improve this Doc View Source

#### CabinetLoaded

##### Declaration

    public int CabinetLoaded

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### UnlockedItems

##### Declaration

    public byte *UnlockedItems

##### Field Value

Type | Description
--- | ---
System.Byte* |

### Methods

| Improve this Doc View Source

#### IsCabinetLoaded()

Check if the armoire is reporting as "loaded" from the server.

##### Declaration

    public bool IsCabinetLoaded()

##### Returns

Type | Description
--- | ---
System.Boolean | Returns true if the armoire has been retrieved.

##### Remarks

The armoire will only load when requested (so, when a player goes to an inn room and chooses to add/remove an item or performs certain glamour operations). As such, before any check can take place, a developer must first validate that the armoire is loaded. Generally, this will be when CabinetLoaded == 1, but for some reason this can have a value of 2 as well.

| Improve this Doc View Source

#### IsItemInCabinet(Int32)

##### Declaration

    public bool IsItemInCabinet(int cabinetItemId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | cabinetItemId |

##### Returns

Type | Description
--- | ---
System.Boolean |